org.apache.xmlbeans.impl.inst2xsd

## Class RussianDollStrategy.SCTValidationContext

- java.lang.Object
- - org.apache.xmlbeans.impl.inst2xsd.RussianDollStrategy.SCTValidationContext

All Implemented Interfaces:
  ValidationContext

Enclosing class:
  RussianDollStrategy

    protected static class RussianDollStrategy.SCTValidationContext
    extends Object
    implements ValidationContext

### Field Summary

Fields
`protected boolean` `valid`

### Constructor Summary

Constructors
`protected` `SCTValidationContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `invalid(String message)`
`void` `invalid(String code, Object[] args)`
`boolean` `isValid()`
`void` `resetToValid()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### valid

    protected boolean valid

### Constructor Detail

#### SCTValidationContext

    protected SCTValidationContext()

### Method Detail

#### isValid

    public boolean isValid()

#### resetToValid

    public void resetToValid()

#### invalid

    public void invalid(String message)

Specified by:
  `invalid` in interface `ValidationContext`

#### invalid

    public void invalid(String code,
                        Object[] args)

Specified by:
  `invalid` in interface `ValidationContext`